## luminance-hdr 2.4.0

=== CMakeLists.txt ===
PROJECT("Luminance HDR") # luminance-hdr)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)

# set include path for FindXXX.cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

# Global variables for CMake
include(cmake/Version.cmake)
include(cmake/GlobalSettings.cmake)
include(cmake/CompilerSettings.cmake)
include(cmake/Internationalization.cmake)

# find and setup Qt5 for this project

# Tell CMake to run moc when necessary:
  #set(CMAKE_AUTOMOC ON)
  # As moc files are generated in the binary dir, tell CMake
  # to always look for includes there:
  #set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Core)
find_package(Qt5Concurrent)
find_package(Qt5Widgets)
find_package(Qt5Gui)
find_package(Qt5Declarative)
find_package(Qt5WebKit)
find_package(Qt5WebKitWidgets)
find_package(Qt5Xml)
find_package(Qt5Sql)
find_package(Qt5Network)
find_package(Qt5LinguistTools)
IF(WIN32)
	find_package(Qt5WinExtras)
ENDIF()

# Include the qtmain lib if we are on the windows platform
IF(WIN32)
    SET(LIBS ${LIBS} ${Qt5Core_QTMAIN_LIBRARIES})
ENDIF(WIN32)

set(LIBS ${LIBS}
    ${QT_QTCORE_LIBRARIES} ${QT_QTGUI_LIBRARIES} ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTWEBKIT_LIBRARIES} ${QT_QTXML_LIBRARIES} ${QT_QTSQL_LIBRARIES})

FIND_PACKAGE(Git)
IF(GIT_FOUND)
    include(GetGitRevisionDescription)
    get_git_head_revision(GIT_REFSPEC GIT_SHA1)
ENDIF()

IF(WIN32)
    # Windows Section
    
    # to not define min/max macros, which cause troubles with STL and boost
    ADD_DEFINITIONS(-DNOMINMAX)
    
    SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
    SET(FFTWF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/fftw3")
    SET(GSL_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
    SET(GSLCBLAS_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
    SET(LCMS2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/lcms2")
    SET(JPEGLIB_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libjpeg")

    # Enable multi processor compilation
    ADD_DEFINITIONS(/MP)

    # Enable SSE2
    IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
        # SSE2 is on by default, on x64 platforms
    	ADD_DEFINITIONS(/arch:SSE2)
    ENDIF() 

    ADD_DEFINITIONS(-DUNICODE )
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -D_REENTRANT)
    SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
	
    SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
    ADD_DEFINITIONS("-DDEMOSAICING_GPL2")
    ADD_DEFINITIONS("-DDEMOSAICING_GPL3")
	
    SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
    SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
	
    SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2.lib")
    ADD_DEFINITIONS(-DCMS_DLL)
    ADD_DEFINITIONS(-DUSE_LCMS2)
ELSE()
    # Unix & Apple part
    FIND_PACKAGE(LibRAW REQUIRED)
    FIND_PACKAGE(fftwf REQUIRED)
    FIND_PACKAGE(GSL REQUIRED)
    FIND_PACKAGE(libjpeg REQUIRED)
    FIND_PACKAGE(lcms2 REQUIRED)
ENDIF()


IF(WIN32)
    SET(Boost_USE_STATIC_LIBS ON)
ENDIF()
FIND_PACKAGE(Boost REQUIRED)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

FIND_PACKAGE(exiv2 REQUIRED)
INCLUDE_DIRECTORIES(${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")

FIND_PACKAGE(TIFF REQUIRED)
INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})

FIND_PACKAGE(PNG REQUIRED)
INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})

IF(WIN32)
    SET(OPENEXR_VERSION "2.1")
ENDIF()
FIND_PACKAGE(OpenEXR REQUIRED)
INCLUDE_DIRECTORIES(${OPENEXR_INCLUDE_DIR} "${OPENEXR_INCLUDE_DIR}/OpenEXR")

INCLUDE_DIRECTORIES(${LIBRAW_INCLUDE_DIR} "${LIBRAW_INCLUDE_DIR}/libraw")
INCLUDE_DIRECTORIES(${FFTWF_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR} ${GSLCBLAS_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${JPEGLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${LCMS2_INCLUDE_DIR})

FIND_PACKAGE(CCfits)
IF(CCFITS_FOUND)
    INCLUDE_DIRECTORIES(${CCFITS_INCLUDE_DIRS})
    SET(LIBS ${LIBS} ${CCFITS_LIBRARIES})
    ADD_DEFINITIONS(-DHAVE_CCFITS)
ELSE()
    message(WARNING "CCfits not found! Building without FITS support!")
ENDIF()

SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})
SET(LIBS ${LIBS} ${TIFF_LIBRARIES})
SET(LIBS ${LIBS} ${LIBRAW_LIBRARIES})
SET(LIBS ${LIBS} ${FFTWF_LIBRARIES})
ADD_DEFINITIONS(-DHAVE_FFTW3F)
SET(LIBS ${LIBS} ${GSL_LIBRARIES} ${GSLCBLAS_LIBRARIES})
SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})
SET(LIBS ${LIBS} ${JPEGLIB_LIBRARIES})
SET(LIBS ${LIBS} ${LCMS2_LIBRARIES})
SET(LIBS ${LIBS} ${PNG_LIBRARIES})

INCLUDE_DIRECTORIES("${CMAKE_SOURCE_DIR}/src/")
INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}/src/")
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(LUMINANCE_HDR_H )
SET(LUMINANCE_HDR_SRC )

IF(MSVC)
    SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H} src/arch/msvc/getopt_win32.h)
    SET(LUMINANCE_HDR_CPP ${LUMINANCE_HDR_CPP} src/arch/msvc/getopt_win32.c)
ENDIF()

SET(LUMINANCE_HDR_H ${LUMINANCE_HDR_H}
    src/arch/math.h
    src/arch/malloc.h
    src/arch/string.h
    src/arch/freebsd/math.h
    src/arch/msvc/math.h
)

SET(LUMINANCE_HDR_RCCS icons.qrc)
QT5_ADD_RESOURCES(LUMINANCE_HDR_RCCS_SRCS ${LUMINANCE_HDR_RCCS})

ENABLE_TESTING()

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(test)

# translations
FILE(GLOB LUMINANCE_TS i18n/lang_*.ts)

IF(UPDATE_TRANSLATIONS)
	SET(LUMINANCE_TS ${LUMINANCE_TS} i18n/source.ts)
    IF(LUPDATE_NOOBSOLETE)
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS} OPTIONS -noobsolete)
    ELSE()
        QT5_CREATE_TRANSLATION(LUMINANCE_QM ${FILES_TO_TRANSLATE} ${LUMINANCE_TS})
    ENDIF()
ELSE(UPDATE_TRANSLATIONS)
    QT5_ADD_TRANSLATION(LUMINANCE_QM ${LUMINANCE_TS})
ENDIF(UPDATE_TRANSLATIONS)

ADD_CUSTOM_TARGET(translations_target DEPENDS ${LUMINANCE_QM})

SET(LUMINANCE_FILES
    ${LUMINANCE_HDR_H}
    ${LUMINANCE_HDR_CPP}
    ${LUMINANCE_HDR_RCCS_SRCS}
    ${LUMINANCE_QM})

# Apple Mac OS X
IF(APPLE)
    SET(CMAKE_INSTALL_PREFIX "/Applications")

    # Set Bundle settings
    set(MACOSX_BUNDLE_INFO_STRING "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${LHDR_NAME} ${LHDR_VERSION}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_VERSION "${LHDR_VERSION}")
    set(MACOSX_BUNDLE_ICON_FILE "${CMAKE_SOURCE_DIR}/images/luminance.icns")
    set(MACOSX_BUNDLE_ICON "${CMAKE_SOURCE_DIR}/images/luminance.icns")
    set(MACOSX_BUNDLE_RESOURCES "${CMAKE_CURRENT_BINARY_DIR}/${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/Resources")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "${LHDR_DOMAIN_SECOND}.${LHDR_DOMAIN_FIRST}")
    set(MACOSX_BUNDLE_BUNDLE_NAME "${LHDR_NAME}")

    configure_file( ${CMAKE_SOURCE_DIR}/build/macosx/Info.plist.in
                    ${CMAKE_BINARY_DIR}/Info.plist )
    configure_file( ${CMAKE_SOURCE_DIR}/build/macosx/create-dmg.sh.in
                    ${CMAKE_BINARY_DIR}/create-dmg.sh )

    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm) # ${QT_TRANSLATIONS_DIR}/qt_*.qm)
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})

    # icon files to copy in the bundle
    SET(OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/images/luminance.icns")
    # include the icns files in the target
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})

    # Build project
    # SET( CMAKE_OSX_ARCHITECTURES x86_64;i386 )  # Universal build
    ADD_EXECUTABLE(${LHDR_OSX_EXECUTABLE_TARGET} MACOSX_BUNDLE ${LUMINANCE_FILES}) # luminance-hdr
    set_property(TARGET ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTY OUTPUT_NAME ${LHDR_OSX_EXECUTABLE_NAME})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
  
    SET_TARGET_PROPERTIES( ${LHDR_OSX_EXECUTABLE_TARGET} PROPERTIES MACOSX_BUNDLE_INFO_PLIST
                           "${CMAKE_BINARY_DIR}/Info.plist" )

    # set where in the bundle to put the icns files
    SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # set where in the bundle to put the translation files
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QT_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)

    INSTALL(TARGETS ${LHDR_OSX_EXECUTABLE_TARGET} luminance-hdr-cli
            BUNDLE DESTINATION . COMPONENT Runtime
            RUNTIME DESTINATION ${LHDR_OSX_EXECUTABLE_NAME}.app/Contents/MacOS COMPONENT Runtime)

    qt5_use_modules(${LHDR_OSX_EXECUTABLE_TARGET} Core Gui Widgets)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)


    # Link libraries
    TARGET_LINK_LIBRARIES(${LHDR_OSX_EXECUTABLE_TARGET} ${LUMINANCE_MODULES_GUI} ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LUMINANCE_MODULES_CLI} ${LIBS})
# Unix
ELSEIF(UNIX)
    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm)
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})

    ADD_EXECUTABLE(luminance-hdr ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})

    qt5_use_modules(luminance-hdr Core Gui Widgets)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)

    # link libraries
    TARGET_LINK_LIBRARIES(luminance-hdr -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group)
    TARGET_LINK_LIBRARIES(luminance-hdr-cli -Xlinker --start-group ${LUMINANCE_MODULES_CLI} -Xlinker --end-group)
    TARGET_LINK_LIBRARIES(luminance-hdr ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LIBS})

    # make install directivies
    INSTALL(TARGETS luminance-hdr RUNTIME DESTINATION bin) # main GUI exec
    INSTALL(TARGETS luminance-hdr-cli RUNTIME DESTINATION bin) # main CLI exec
    INSTALL(FILES ${LUMINANCE_QM} DESTINATION share/luminance-hdr/i18n) # i18n
    INSTALL(FILES ${LUMINANCE_QT_QM} DESTINATION share/luminance-hdr/i18n) # i18n

    INSTALL(FILES ${CMAKE_SOURCE_DIR}/images/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
    INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
    INSTALL(FILES
    ${CMAKE_SOURCE_DIR}/AUTHORS
    ${CMAKE_SOURCE_DIR}/README
    ${CMAKE_SOURCE_DIR}/LICENSE
    ${CMAKE_SOURCE_DIR}/Changelog
    DESTINATION share/luminance-hdr) #info files
    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/help DESTINATION share/luminance-hdr) # help directory
# Microsoft Windows
ELSEIF(WIN32)
    # icon files to copy in the bundle
    SET(LUMINANCE_FILES ${LUMINANCE_FILES} "${CMAKE_SOURCE_DIR}/images/luminance_ico.rc")

    # Subsystem console:
    ADD_EXECUTABLE(luminance-hdr WIN32 ${LUMINANCE_FILES})
    ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
  
    qt5_use_modules(luminance-hdr Core Gui Widgets WinExtras)
    qt5_use_modules(luminance-hdr-cli Core Gui Widgets)

    # Link libraries
    TARGET_LINK_LIBRARIES(luminance-hdr ${LUMINANCE_MODULES_GUI} ${LIBS})
    TARGET_LINK_LIBRARIES(luminance-hdr-cli ${LUMINANCE_MODULES_CLI} ${LIBS})

ENDIF()

# Packaging must go at the bottom
include(${CMAKE_SOURCE_DIR}/build/Packaging.cmake)

=== src/CMakeLists.txt ===
ADD_SUBDIRECTORY(Libpfs)
ADD_SUBDIRECTORY(TonemappingOperators)
ADD_SUBDIRECTORY(HdrCreation)

#ADD_SUBDIRECTORY(arch)
ADD_SUBDIRECTORY(MainWindow)

# Gui specific and main entry point
ADD_SUBDIRECTORY(MainGui)
# CLI specific and main entry point
ADD_SUBDIRECTORY(MainCli)

ADD_SUBDIRECTORY(PreviewPanel)
ADD_SUBDIRECTORY(Common)
ADD_SUBDIRECTORY(OsIntegration)
ADD_SUBDIRECTORY(BatchHDR)
ADD_SUBDIRECTORY(BatchTM)
ADD_SUBDIRECTORY(Core)
ADD_SUBDIRECTORY(Exif)
ADD_SUBDIRECTORY(Fileformat)
ADD_SUBDIRECTORY(Alignment)
ADD_SUBDIRECTORY(HdrWizard)
ADD_SUBDIRECTORY(HelpBrowser)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Projection)
ADD_SUBDIRECTORY(Resize)
ADD_SUBDIRECTORY(TonemappingPanel)
ADD_SUBDIRECTORY(TransplantExif)
ADD_SUBDIRECTORY(UI)
ADD_SUBDIRECTORY(Viewers)
ADD_SUBDIRECTORY(PreviewSettings)

# They need to stay at the bottom of this file!
SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} PARENT_SCOPE)

=== test/CMakeLists.txt ===
find_package(Boost COMPONENTS program_options REQUIRED)

ADD_SUBDIRECTORY(ImageInspector)
ADD_SUBDIRECTORY(InputOutputTest)
ADD_SUBDIRECTORY(FusionAlgorithms)
ADD_SUBDIRECTORY(WhiteBalance)

# workaround for http://code.google.com/p/googletest/issues/detail?id=408
IF(MSVC_VERSION EQUAL 1700)
ADD_DEFINITIONS(-D_VARIADIC_MAX=10)
ENDIF()

FIND_PACKAGE(GTest)

IF(GTEST_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})

IF(UNIX)
FIND_PACKAGE(Threads)
ENDIF(UNIX)

# Colorspace test
# LinearRGB -> XYZ / Y
ADD_EXECUTABLE(TestRGB2XYZ TestRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestRGB2XYZ TestRGB2XYZ)

# SRGB -> XYZ / Y
ADD_EXECUTABLE(TestSRGB2XYZ TestSRGB2XYZ.cpp)
TARGET_LINK_LIBRARIES(TestSRGB2XYZ pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestSRGB2XYZ TestSRGB2XYZ)

ADD_EXECUTABLE(TestXYZ2RGB TestXYZ2RGB.cpp)
TARGET_LINK_LIBRARIES(TestXYZ2RGB pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestXYZ2RGB TestXYZ2RGB)

ADD_EXECUTABLE(TestCMYK2RGB TestCMYK2RGB.cpp)
TARGET_LINK_LIBRARIES(TestCMYK2RGB PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestCMYK2RGB TestCMYK2RGB)

ADD_LIBRARY(ContrastDomain STATIC
    mantiuk06/contrast_domain.cpp
    mantiuk06/contrast_domain.h)

ADD_LIBRARY(PrintArray2D STATIC
    PrintArray2D.cpp PrintArray2D.h)

qt5_use_modules(ContrastDomain Core)


# Mantiuk06
ADD_EXECUTABLE(TestMantiuk06Basic
    TestMantiuk06Basic.cpp)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Basic
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
qt5_use_modules(TestMantiuk06Basic Core)

ADD_TEST(TestMantiuk06Basic TestMantiuk06Basic)

ADD_EXECUTABLE(TestMantiuk06Pyramid
    TestMantiuk06Pyramid.cpp
)
IF(MSVC OR APPLE)
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} )
ELSE()
    TARGET_LINK_LIBRARIES(TestMantiuk06Pyramid
        ContrastDomain pfs pfstmo common
        ${GTEST_BOTH_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT}
        ${LIBS} -lrt)
ENDIF()
qt5_use_modules(TestMantiuk06Pyramid Core)
ADD_TEST(TestMantiuk06Pyramid TestMantiuk06Pyramid)

ADD_EXECUTABLE(TestVex TestVex.cpp)
TARGET_LINK_LIBRARIES(TestVex
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVex TestVex)

ADD_EXECUTABLE(TestVexDotProduct TestVexDotProduct.cpp)
TARGET_LINK_LIBRARIES(TestVexDotProduct
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestVexDotProduct TestVexDotProduct)

ADD_EXECUTABLE(TestPfsRotate TestPfsRotate.cpp CompareVector.h)
TARGET_LINK_LIBRARIES(TestPfsRotate pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsRotate TestPfsRotate)

ADD_EXECUTABLE(TestPfsShift TestPfsShift.cpp)
TARGET_LINK_LIBRARIES(TestPfsShift pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsShift TestPfsShift)

ADD_EXECUTABLE(TestConvertSample TestConvertSample.cpp)
TARGET_LINK_LIBRARIES(TestConvertSample PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestConvertSample TestConvertSample)

ADD_EXECUTABLE(TestPfsCut TestPfsCut.cpp SeqInt.h)
TARGET_LINK_LIBRARIES(TestPfsCut pfs PrintArray2D
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestPfsCut TestPfsCut)

ADD_EXECUTABLE(TestFrameArray2D TestFrameArray2D.cpp)
TARGET_LINK_LIBRARIES(TestFrameArray2D pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFrameArray2D TestFrameArray2D)

ADD_EXECUTABLE(TestFloatRgb TestFloatRgb.cpp)
TARGET_LINK_LIBRARIES(TestFloatRgb common pfs
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestFloatRgb TestFloatRgb)
qt5_use_modules(TestFloatRgb Core Gui Widgets)

ADD_EXECUTABLE(TestMTB TestMTB.cpp)
TARGET_LINK_LIBRARIES(TestMTB common pfs hdrcreation
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestMTB TestMTB)

ADD_EXECUTABLE(TestMinMax TestMinMax.cpp)
TARGET_LINK_LIBRARIES(TestMinMax ${GTEST_BOTH_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
ADD_TEST(TestMinMax TestMinMax)

ADD_EXECUTABLE(TestImageQualityDialog TestImageQualityDialog.cpp)
TARGET_LINK_LIBRARIES(TestImageQualityDialog ui fileformat pfs common ${LIBS})
qt5_use_modules(TestImageQualityDialog Core Gui Widgets)

ADD_EXECUTABLE(TestHdrCreationWizard TestHdrCreationWizard.cpp)
IF(APPLE OR MSVC)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSEIF(UNIX)
    TARGET_LINK_LIBRARIES(TestHdrCreationWizard
    -Xlinker --start-group ${LUMINANCE_MODULES_GUI} -Xlinker --end-group
    ${LIBS})
ENDIF()
qt5_use_modules(TestHdrCreationWizard Core Gui Widgets)

ADD_EXECUTABLE(TestFusionOperator TestFusionOperator.cpp)
IF(APPLE OR MSVC)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY} ${LUMINANCE_MODULES_CLI}
    ${LUMINANCE_MODULES_GUI} ${LIBS})
ELSE(UNIX)
TARGET_LINK_LIBRARIES(TestFusionOperator
    ${Boost_PROGRAM_OPTIONS_LIBRARY}
    -Xlinker --start-group ${LUMINANCE_MODULES_CLI} ${LUMINANCE_MODULES_GUI} -Xlinker --end-group ${LIBS})
ENDIF()
qt5_use_modules(TestFusionOperator Core Gui Widgets)

ADD_EXECUTABLE(TestPoissonSolver TestPoissonSolver.cpp)
TARGET_LINK_LIBRARIES(TestPoissonSolver hdrwizard pfs pfstmo 
    ${GTEST_BOTH_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
    ${LIBS})
ADD_TEST(TestPoissonSolver TestPoissonSolver)

ENDIF(GTEST_FOUND)

=== src/Alignment/CMakeLists.txt ===
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/Align.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/Align.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(align ${FILES_H} ${FILES_CPP} ${FILES_MOC} )

qt5_use_modules(align Core Gui Widgets Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} align PARENT_SCOPE)

=== src/BatchTM/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchtm ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
qt5_use_modules(batchtm Core Gui Widgets Sql Xml)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchtm PARENT_SCOPE)

=== src/Common/CMakeLists.txt ===
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/GitSHA1.cpp.in
                ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/global.hxx.in
                ${CMAKE_CURRENT_BINARY_DIR}/global.hxx @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/archs.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/archs.h @ONLY)

SET(FILES_UI 
    ${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.ui)
SET(FILES_H
    ${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.h
    ${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.h
    ${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.h)
SET(FILES_HXX
    #${CMAKE_CURRENT_SOURCE_DIR}/archs.h
    #${CMAKE_CURRENT_SOURCE_DIR}/config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/TranslatorManager.h
    ${CMAKE_CURRENT_SOURCE_DIR}/CommonFunctions.h)
SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/global.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/LuminanceOptions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ProgressHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CommonFunctions.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/TranslatorManager.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(common ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX} ${FILES_UI_H}
    ${CMAKE_CURRENT_BINARY_DIR}/global.hxx
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    ${CMAKE_CURRENT_BINARY_DIR}/GitSHA1.cpp)

qt5_use_modules(common Core Gui Widgets Xml Sql)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} common PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} common PARENT_SCOPE)

=== src/Core/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.h
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(core ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(core Core Gui Widgets Sql Xml)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} core PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} core PARENT_SCOPE)

=== src/HdrCreation/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.h
${CMAKE_CURRENT_SOURCE_DIR}/createhdr_common.h
${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
${CMAKE_CURRENT_SOURCE_DIR}/responses.h
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.h
${CMAKE_CURRENT_SOURCE_DIR}/weights.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/createhdr.cpp
${CMAKE_CURRENT_SOURCE_DIR}/createhdr_common.cpp
${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.cpp
${CMAKE_CURRENT_SOURCE_DIR}/weights.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(hdrcreation ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(hdrcreation Core Gui Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)

=== src/HdrWizard/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.ui
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.ui)

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.h)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.cpp)

SET(FILES_H_QT
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.h
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.h
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.h)

SET(FILES_CPP_QT
${CMAKE_CURRENT_SOURCE_DIR}/HdrWizard.cpp
${CMAKE_CURRENT_SOURCE_DIR}/EditingTools.cpp
${CMAKE_CURRENT_SOURCE_DIR}/PreviewWidget.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_UI(FILES_UI_H ${FILES_UI})
QT5_WRAP_CPP(FILES_MOC ${FILES_H_QT})

ADD_LIBRARY(hdrwizard ${FILES_H} ${FILES_H_QT} ${FILES_CPP} ${FILES_CPP_QT} ${FILES_MOC} ${FILES_UI_H})
qt5_use_modules(hdrwizard Core Concurrent Gui Widgets Sql)

SET(FILES_CLI_H
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationItem.h
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.h
${CMAKE_CURRENT_SOURCE_DIR}/WhiteBalance.h)

SET(FILES_CLI_H_QT
# ${CMAKE_CURRENT_SOURCE_DIR}/HdrInputLoader.h
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.h)

SET(FILES_CLI_CPP
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationItem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/AutoAntighosting.cpp
${CMAKE_CURRENT_SOURCE_DIR}/WhiteBalance.cpp)

SET(FILES_CLI_CPP_QT
# ${CMAKE_CURRENT_SOURCE_DIR}/HdrInputLoader.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HdrCreationManager.cpp)

QT5_WRAP_CPP(FILES_CLI_MOC ${FILES_CLI_H_QT})
ADD_LIBRARY(hdrwizard-cli ${FILES_CLI_H} ${FILES_CLI_H_QT} ${FILES_CLI_CPP} ${FILES_CLI_CPP_QT} ${FILES_CLI_MOC})
qt5_use_modules(hdrwizard-cli Core Concurrent Gui Widgets Sql)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE}
    ${FILES_CPP_QT} ${FILES_H_QT}
    ${FILES_CLI_CPP_QT} ${FILES_CLI_H_QT}
    ${FILES_UI}
    PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrwizard-cli hdrwizard align PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrwizard-cli align PARENT_SCOPE)

=== src/HelpBrowser/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/help-path.hxx.in
    ${CMAKE_CURRENT_BINARY_DIR}/help-path.hxx @ONLY)

SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/HelpBrowser.ui
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.ui)
SET(FILES_H # to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.h
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.h
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.h)
SET(FILES_HXX # NOT to go into MOC
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.h
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.h
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.h
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.cpp
${CMAKE_CURRENT_SOURCE_DIR}/LuminancePaths.cpp
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})


ADD_LIBRARY(helpbrowser ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H} ${FILES_HXX})
qt5_use_modules(helpbrowser Core Concurrent Gui Widgets Xml WebKit WebKitWidgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} helpbrowser PARENT_SCOPE)

=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_HPP
${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
qt5_use_modules(main_cli Core Gui Widgets)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)

=== src/MainWindow/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.ui
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.ui
${CMAKE_CURRENT_SOURCE_DIR}/Splash.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.h
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.h
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.cpp
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(mainwindow ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
qt5_use_modules(mainwindow Core Gui Widgets Xml Network Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} mainwindow PARENT_SCOPE)

=== debian/changelog ===
luminance-hdr (2.4.0-9) unstable; urgency=medium

  * Pass non-empty argument to pod2man's --release option as required by perl
    5.24. Closes: #839372
  * Drop debian/menu.
  * Build with hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Oct 2016 19:43:05 +0200

luminance-hdr (2.4.0-8) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * 52_drop_Qt5Declarative_dep.diff / debian/control: Drop unused
    build-dependency on qtquick1-5-dev. Closes: #810627

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jan 2016 12:03:49 +0100

luminance-hdr (2.4.0-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807209

  [ Andreas Metzler ]
  * [lintian] Fix typo in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Dec 2015 08:11:55 +0100

luminance-hdr (2.4.0-6) unstable; urgency=medium

  * 51_qt5_printsupport.diff: Fix build error with newer QT. Closes: #763224

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Sep 2014 18:32:29 +0200

luminance-hdr (2.4.0-5) unstable; urgency=medium

  * Add build-dependency on pkg-config. (Thanks, Pino Toscano)
    Closes: #759115
  * Enable parallel build. (Thanks, Pino Toscano)
    Closes: #759119

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2014 15:05:38 +0200

luminance-hdr (2.4.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Apr 2014 19:09:29 +0200

luminance-hdr (2.4.0-3) experimental; urgency=medium

  [ Leonardo Montecchi ]
  * Requires cmake 2.8.11, bump build-depends.
  * 50_fix_build_kfreebsd-amd64.diff: Workaround for FTBFS on kfreebsd-amd64.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2014 12:56:18 +0200

luminance-hdr (2.4.0-2) experimental; urgency=medium

  * 40_donotforce_sse.diff: Stop setting -msse2 -msse to fix build error on
    non-x86 archs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Apr 2014 18:39:33 +0200

luminance-hdr (2.4.0-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version (2.4.0).
    + add build-depends on libboost-dev.
  * Version build dep on qttools5-dev >= 5.2.1-7 because of #738196.
  * Point Vcs-* to anonscm.d.o.

  [ Leonardo Montecchi ]
  * New upstream version (2.4.0)
  * Updated build-dependencies and dependencies to Qt5.
  * Add build-dependency on libboost-program-options-dev
  * Add build-dependency on libccfits-dev
  * Refresh patch 20_usrsharedoc.diff
  * Updated manpage for luminance-hdr-cli
  * Added patch 30_fixiconpath.diff, fixes installation path of icon
    according to its size.

  [ Lisandro Damián Nica ]
  * Build-Depend on specific qt submodules instead of libqt5-dev.
  * Select QT5 by adding export QT_SELECT := qt5 to debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Apr 2014 13:31:56 +0200

=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: extra
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: cmake (>= 2.8.11), debhelper (>= 9), libboost-dev,
 libboost-program-options-dev, libccfits-dev, libexiv2-dev, libfftw3-dev,
 libgsl-dev, libjpeg-dev, liblcms2-dev, libopenexr-dev, libpng-dev,
 libqt5webkit5-dev, libraw-dev, libtiff-dev, pkg-config, qtbase5-dev,
 qtdeclarative5-dev, qtscript5-dev,
 qttools5-dev (>= 5.2.1-7), qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git
Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: dcraw, hugin-tools, libqt5sql5-sqlite,
 ${shlibs:Depends}, ${misc:Depends}
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

Package: qtpfsgui
Architecture: all
Depends: luminance-hdr, ${misc:Depends}
Section: oldlibs
Description: luminance-hdr transitional package
 Empty package to facilitate upgrades, can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS INSTALL LICENSE README Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT := qt5

# To enable test-suite build-depend on libgtest-dev and uncomment these lines
###override_dh_auto_configure:
###	cp -a /usr/src/gtest local-gtest && \
###		mkdir local-gtest/debian local-gtest/include && \
###		cp -a debian/compat debian/control local-gtest/debian && \
###		cd local-gtest && \
###		dh_auto_configure --verbose && \
###		dh_auto_build --verbose && \
###		ln -s /usr/include/gtest include/ && \
###		ln -s obj-* lib
###
###	dh_auto_configure --verbose -- -DGTEST_ROOT=$(CURDIR)/local-gtest

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose --parallel
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release=$(shell dpkg-parsechangelog -S Version | sed -e 's/.*://' -e 's/-[^-][^-]*//') \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_auto_install:
	dh_auto_install --verbose --destdir=$(DEB_DESTDIR)
	# Remove unneeded files
	for i in $(NOT_NEEDED); do \
		rm -v $(DEB_DESTDIR)/usr/share/doc/luminance-hdr/$$i ; \
	done

%:
	dh $@ --parallel

## luminance-hdr 2.5.1%2Bdfsg

=== src/Exif/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/ExifOperations.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/ExifOperations.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(exif ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
qt5_use_modules(exif Core)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} exif PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} exif PARENT_SCOPE)
